 	
#!/bin/bash

cd /etl/external/hiv

input=$1
dt=$(date +'%Y%m%d' -d '-1days')

  if [[  $input != ""  ]] 
 then 
   dt=$input
 fi 
 
 echo "-------------------"
 echo "part_dt = "$dt
 echo "-------------------"
 
 hive -e "  
INSERT OVERWRITE TABLE  TOTAL_MART.TB_AG_CUST_BHVR_PROTY_KMOH  PARTITION(PART_DT = '${dt}')
SELECT T10.PART_DT                  AS STAND_DT 
      ,T10.SERIAL1                  AS SERIAL1
      ,T10.CUST_DISTN_NO            AS UQID_CUST_NO
      ,T10.BD_CUST_GRD_CD_NM        AS CRM_CUST_GRD_CD_NM    
      ,T10.GEN_CD_NM                AS GEN_CD_NM             
      ,T10.AGE_RANGE_CD_NM          AS AGE_RANGE_CD_NM       
      ,T10.STR_ZIP_CODE             AS ZIP_CODE     --  ȣ , ¶  ȣ
	  ,T10.STR_ADMD_CD              AS ADMD_CD  
      ,'OFL'                        AS ONOFL_SP_CD    -- 0:ONLINE 1: OFFLINE
      ,T10.TR_ACHIV_SP_CD_NM        AS TR_ACHIV_SP_CD_NM                     -- ///GSFRESH/޸//(GSFPC, GSFMC, , , ۸, , Ȩ )
      ,T10.STR_DISTN_CD             AS STR_DISTN_CD
      ,T10.STR_NM                   AS STR_NM  
      ,T10.ITEM_CD                  AS ITEM_CD 
      ,T10.ITEM_NM                  AS ITEM_NM 
      ,T10.DPT_CD                   AS DPT_CD
      ,T10.DPT_CD_NM                AS DPT_CD_NM
      ,T10.LINE_CD                  AS LINE_CD
      ,T10.LINE_CD_NM               AS LINE_CD_NM
      ,T10.CLSS_CD                  AS CLSS_CD
      ,T10.CLSS_CD_NM               AS CLSS_CD_NM
      ,T10.SBCLS_CD                 AS SBCLS_CD
      ,T10.SBCLS_CD_NM              AS SBCLS_CD_NM	   
      ,NVL(T10.SELL_SP_CD_NM,' ')   AS ORD_SP_CD_NM
      ,T10.SELL_QTY                 AS ITEM_ORD_QTY
      ,T10.SPRC                     AS ITEM_SALE_PRC -- Ű 
      ,CASE WHEN T10.TR_ACHIV_SP_CD_NM='SM' THEN T10.REAL_SPRC ELSE  T10.DC_SPRC  END AS ITEM_DC_PRC   -- θŰ
      ,T10.ITEM_PURCH_AMT           AS  ITEM_PURCH_AMT 
      ,NULL                         AS  VISITOR_ID             -- ĺȣ       
      -- ,NULL                         AS  DEVICE_ADID            --  ADID          
      ,NULL                         AS  SESSION_ID             -- ID             
      ,'TR'                         AS  EVENT_TYPE             -- ̺ƮŸ         
      ,'TRHeadKey'                  AS  EVENT_CODE             -- ̺Ʈڵ         
      ,TRHEAD_KEY                   AS  EVENT_VALUE1           -- ̺Ʈ1          
      ,NULL                         AS  EVENT_VALUE2           -- ̺Ʈ2          
      ,NULL                         AS  EVENT_VALUE3           -- ̺Ʈ3          
      ,NULL                         AS  PAGE_TYPE              --          
      --,NULL                         AS  PAGE_AREA_ID           -- ID             
      ,NULL                         AS  POST_CAMPAIGN          -- ĺ         
      ,NULL                         AS  VISIT_KEYWORD          -- 湮 Ű(˻)
      ,NULL                         AS  VISIT_NUM              -- 湮Ƚ(TOTAL)    
      ,NULL                         AS  VISIT_START_TIME       -- 湮۽ð       
      ,NULL                         AS  VISIT_DURATION_TIME    -- üð           
      ,NULL                         AS  DISPLAY_PRODUCT_NUM    --  ǰ Ǽ     
      ,NULL                         AS  CURR_URL               --  URL           
      ,NULL                         AS  PREV_URL               --  URL           
      ,NULL                         AS  VISIT_PAGE_NUM         -- Ǵ Ʈ  
      ,NULL                         AS  POST_REFERRER          -- ۷(FULL URL)   
      ,NULL                         AS  DATE_TIME              -- α׹߻ð            ,
	  ,NULL                         AS ITEM_ORD_ATTR1_ITM     -- ǰֹӼ1׸ 
	  ,NULL                         AS ITEM_ORD_ATTR1_VAL     -- ǰֹӼ1	  
	  ,CURRENT_TIMESTAMP()          AS  HSYS_UPD_DTTM  
      --,T10.PART_DT                  AS  PART_DT    
 from  TOTAL_MART.TB_FT_OFL_TR_ITEM t10
 where  CUST_DISTN_TYPE_CD in ('1','2')
 and t10.part_dt ='${dt}'
 
UNION ALL

SELECT T10.LOG_DT                     AS STAND_DT
      ,T10.SERIAL1                    AS SERIAL1
      ,CAST(T10.UQID_CUST_NO AS DECIMAL(15) ) AS UQID_CUST_NO
      ,T97.COMM_CD_NM                 AS CRM_CUST_GRD_CD_NM     -- CRM ()
      ,T96.COMM_CD_NM                 AS GEN_CD_NM              -- ɹڵ 
      ,T95.COMM_CD_NM                 AS AGE_RANGE_CD_NM        -- ɹڵ
      ,NULL                           AS ZIP_CODE
	  ,T30.HOME_ADMD_CD               AS ADMD_CD  	  
      ,'ONL'                          AS ONOFF_SP_CD     
      ,T10.channel                    AS TR_ACHIV_SP_CD_NM      --///GSFRESH/޸//(GSFPC, GSFMC, , , ۸, , Ȩ )
      ,NULL                           AS STR_DISTN_CD
      ,NULL                           AS STR_NM 
	  ,CASE WHEN EVENT_TYPE  like 'Click%' and  EVENT_CODE  in( 'cartadd','productview','productclick' ) then EVENT_VALUE1  ELSE NULL END  AS  ITEM_ID 	  	  
      -- ,NULL                           AS ITEM_CD 
      ,NULL                           AS ITEM_NM 
      ,NULL                           AS DPT_CD
      ,NULL                           AS DPT_CD_NM
      ,NULL                           AS LINE_CD
      ,NULL                           AS LINE_CD_NM
      ,NULL                           AS CLSS_CD
      ,NULL                           AS CLSS_CD_NM
      ,NULL                           AS SBCLS_CD
      ,NULL                           AS SBCLS_CD_NM	   
      ,NULL                           AS ORD_SP_CD_NM
      ,NULL                           AS ITEM_ORD_QTY
      ,NULL                           AS ITEM_SALE_PRC
	  ,NULL                           AS ITEM_DC_PRC 
	  ,NULL                           AS ITEM_PURCH_AMT 
      ,VISITOR_ID                     AS VISITOR_ID             -- ĺȣ       
      --,DEVICE_ADID                    AS DEVICE_ADID            --  ADID          
      ,SESSION_ID                     AS SESSION_ID             -- ID             
      ,EVENT_TYPE                     AS EVENT_TYPE             -- ̺ƮŸ         
      ,EVENT_CODE                     AS EVENT_CODE             -- ̺Ʈڵ         
      ,EVENT_VALUE1                   AS EVENT_VALUE1           -- ̺Ʈ1          
      ,EVENT_VALUE2                   AS EVENT_VALUE2           -- ̺Ʈ2          
      ,EVENT_VALUE3                   AS EVENT_VALUE3           -- ̺Ʈ3          
      ,PAGE_TYPE                      AS PAGE_TYPE              --          
      --,PAGE_AREA_ID                   AS PAGE_AREA_ID           -- ID             
      ,POST_CAMPAIGN                  AS POST_CAMPAIGN          -- ĺ         
      ,VISIT_KEYWORD                  AS VISIT_KEYWORD          -- 湮 Ű(˻)
      ,VISIT_NUM                      AS VISIT_NUM              -- 湮Ƚ(TOTAL)    
      ,VISIT_START_TIME               AS VISIT_START_TIME       -- 湮۽ð       
      ,VISIT_DURATION_TIME            AS VISIT_DURATION_TIME    -- üð           
      ,DISPLAY_PRODUCT_NUM            AS DISPLAY_PRODUCT_NUM    --  ǰ Ǽ     
      ,CURRENT_URL                    AS CURR_URL               --  URL           
      ,PREVIOUS_URL                   AS PREV_URL               --  URL           
      ,VISIT_PAGE_NUM                 AS VISIT_PAGE_NUM         -- Ǵ Ʈ  
      ,VISIT_REFERRER                 AS VISIT_REFERRER         -- ۷(FULL URL)   
      ,DATE_TIME                      AS DATE_TIME              -- α׹߻ð            ,
	  ,NULL                           AS ITEM_ORD_ATTR1_ITM     -- ǰֹӼ1׸ 
	  ,NULL                           AS ITEM_ORD_ATTR1_VAL     -- ǰֹӼ1
	  ,CURRENT_TIMESTAMP()          AS  HSYS_UPD_DTTM  
   --   ,T10.PART_DT    as PART_DT     
 FROM LAKE_ONLINE.ADOBE_TB_CUST_ACTLOG  T10
 LEFT OUTER JOIN (SELECT PART_STAND_YYMM , SERIAL1 , BD_SP_CD , CRM_CUST_GRD_CD    FROM LAKE_OFFLINE.GSCRMODS_TB_CG_CUST_GRD  WHERE PART_STAND_YYMM = SUBSTR('${dt}' ,1,6)   )  T50  -- ̺   (  OR  GSECODS.TB_CU_MBR_GRD)
              ON TRIM(T10.SERIAL1)                = T50.SERIAL1
             AND SUBSTR(T10.PART_DT,1,6)     = T50.PART_STAND_YYMM
             AND T50.BD_SP_CD = 'Z'
 LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_UQID_CUST_BASE T30
              ON CAST(T10.UQID_CUST_NO AS DECIMAL(15) ) = T30.UQID_CUST_NO 
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T95         
              ON T30.AGE_RANGE_CD = T95.COMM_CD
             AND T95.SCHEMA_NM ='GSUCDW'
             AND T95.COMM_GRP_CD ='AGE_RANGE_CD'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T96
              ON T30.GEN_CD = T96.COMM_CD
             AND T96.SCHEMA_NM ='GSUCDW'
             AND T96.COMM_GRP_CD ='GEN_CD'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T97
              ON T50.CRM_CUST_GRD_CD = T97.COMM_CD
             AND T97.SCHEMA_NM ='GSCRMODS'
             AND T97.COMM_GRP_CD ='R20'			  
 where T10.channel in ( 'organic','gsfmc','gsthefresh','mcvs','thepop','gsfpc' )
 and T10.event_code <>  '.'
 and T10.event_code <>  ''
 and T10.part_dt ='${dt}' 

UNION ALL

 SELECT STAND_DT 
      ,KK.SERIAL1                      AS SERIAL1
      ,CMM_MBR_NO                   AS UQID_CUST_NO                -- ȸ ֹ  ( serial1  ȸ , mbt_type_cd ='09' ȸ  ) 
      ,CRM_CUST_GRD_CD_NM           AS CRM_CUST_GRD_CD_NM          -- CRM ()
      ,GEN_CD_NM                    AS GEN_CD_NM             
      ,AGE_RANGE_CD_NM              AS AGE_RANGE_CD_NM             
      ,ADRS_ZIPCD                   AS ZIP_CODE                   --  ȣ , ¶  ȣ
	  ,CU2.HOME_ADMD_CD             AS ADMD_CD  	  
      ,'ONL'                        AS ONOFL_SP_CD                -- 0:ONLINE 1: OFFLINE
      ,TR_ACHIV_SP_CD_NM            AS TR_ACHIV_SP_CD_NM          -- ///GSFRESH/޸//(GSFPC, GSFMC, , , ۸, , Ȩ )
      ,SUPPL_FIRM_CD                AS STR_DISTN_CD
      ,SUPPL_FIRM_CD_NM             AS STR_NM  
      ,ITEM_CD                      AS ITEM_CD 
      ,ITEM_NM                   AS ITEM_NM 
      ,ITEM_LCLS_CD              AS ITEM_LCLS_CD            
      ,ITEM_LCLS_NM              AS ITEM_LCLS_CD_NM
      ,ITEM_MCLS_CD              AS ITEM_MCLS_CD
      ,ITEM_MCLS_NM              AS ITEM_MCLS_CD_NM
      ,ITEM_SCLS_CD              AS ITEM_SCLS_CD
      ,ITEM_SCLS_NM              AS ITEM_SCLS_CD_NM
      ,ITEM_DCLS_CD              AS ITEM_DCLS_CD
      ,ITEM_DCLS_NM              AS ITEM_DCLS_CD_NM	   
      ,ORD_STAT_CD_NM               AS ORD_SP_CD_NM    --- ֹ 
      ,ORD_QTY                      AS ITEM_ORD_QTY
      ,ITEM_SPRC                    AS ITEM_SALE_PRC -- Ű 
      ,ITEM_DC_SPRC                 AS ITEM_DC_PRC   -- θŰ
      ,SALES_AMT                    AS  ITEM_PURCH_AMT 
      ,NULL                         AS  VISITOR_ID             -- ĺȣ       
      -- ,NULL                         AS  DEVICE_ADID            --  ADID          
      ,NULL                         AS  SESSION_ID             -- ID             
      ,ORD_TYPE_CD_NM               AS  EVENT_TYPE             -- ̺ƮŸ         
      ,'ORD_ID'                     AS  EVENT_CODE             -- ̺Ʈڵ         
      ,ORD_ID                       AS  EVENT_VALUE1           -- ̺Ʈ1          
      ,NULL                         AS  EVENT_VALUE2           -- ̺Ʈ2          
      ,NULL                         AS  EVENT_VALUE3           -- ̺Ʈ3          
      ,NULL                         AS  PAGE_TYPE              --          
      --,NULL                         AS  PAGE_AREA_ID           -- ID             
      ,NULL                         AS  POST_CAMPAIGN          -- ĺ         
      ,NULL                         AS  VISIT_KEYWORD          -- 湮 Ű(˻)
      ,NULL                         AS  VISIT_NUM              -- 湮Ƚ(TOTAL)    
      ,NULL                         AS  VISIT_START_TIME       -- 湮۽ð       
      ,NULL                         AS  VISIT_DURATION_TIME    -- üð           
      ,NULL                         AS  DISPLAY_PRODUCT_NUM    --  ǰ Ǽ     
      ,NULL                         AS  CURR_URL               --  URL           
      ,NULL                         AS  PREV_URL               --  URL           
      ,NULL                         AS  VISIT_PAGE_NUM         -- Ǵ Ʈ  
      ,NULL                         AS  POST_REFERRER          -- ۷(FULL URL)   
      ,NULL                         AS  DATE_TIME              -- α׹߻ð            ,
	  ,'SSEVNT_ID'                  AS ITEM_ORD_ATTR1_ITM     -- ǰֹӼ1׸ 
	  ,SSEVNT_ID                    AS ITEM_ORD_ATTR1_VAL     -- ǰֹӼ1	  
	  ,CURRENT_TIMESTAMP()          AS  HSYS_UPD_DTTM   
    --  ,STAND_DT                     AS  PART_DT    
FROM  (	 
      SELECT  ORD.ORD_DT     AS  STAND_DT     
             ,ORD.SERIAL1                 AS  SERIAL1
			 ,ORD.MALL_ID
			 ,ORD.STOR_ID 
      	     ,ORD.CMM_MBR_NO                                 -- ȸ ֹ  ( serial1  ȸ , mbt_type_cd ='09' ȸ  ) 
      	     ,ORD.cust_grd_cd 
			 ,CDR20.COMM_CD_NM            AS  CRM_CUST_GRD_CD_NM 
			 ,ORD.GEN_CD
			 ,T96.UNI_CD_VALID_VAL_NM  AS  GEN_CD_NM 
			 ,ORD.AGE_RANGE_CD
			 ,NVL(T95.UNI_CD_VALID_VAL_NM,'ش')  AS  AGE_RANGE_CD_NM 
      	     ,ORD.ADRS_ZIPCD 
      	     ,MALL.CMM_STE_ID 
			 ,CASE WHEN MALL.CMM_STE_ID = '1' THEN 'gsfresh' WHEN MALL.CMM_STE_ID = '2' then  'organic' else  NVL(MALL.CMM_STE_ID,' ')  END  AS TR_ACHIV_SP_CD_NM
      	     ,ORD.SUPPL_FIRM_CD
			 ,SUP.SITE_NM              AS SUPPL_FIRM_CD_NM
      	     ,ITM.ITEM_CD
			 ,MA_ITM.ITEM_NM
             ,CAST(NVL(ITM_CTG.ITEM_LCLS_CTG_ID,'Z') AS STRING)     AS ITEM_LCLS_CD
             ,NVL(ITM_CTG.ITEM_LCLS_CTG_NM,'̺з')                AS ITEM_LCLS_NM
             ,CAST(NVL(ITM_CTG.ITEM_MCLS_CTG_ID,'Z') AS STRING)     AS ITEM_MCLS_CD
             ,NVL(ITM_CTG.ITEM_MCLS_CTG_NM,'̺з')                AS ITEM_MCLS_NM
             ,CAST(NVL(ITM_CTG.ITEM_SCLS_CTG_ID,'Z') AS STRING)     AS ITEM_SCLS_CD
             ,NVL(ITM_CTG.ITEM_SCLS_CTG_NM,'̺з')                AS ITEM_SCLS_NM
             ,CAST(NVL(ITM_CTG.ITEM_DCLS_CTG_ID,'Z') AS STRING)     AS ITEM_DCLS_CD
             ,NVL(ITM_CTG.ITEM_DCLS_CTG_NM,'̺з')                AS ITEM_DCLS_NM
             ,ORD.ORD_STAT_CD
			 ,CD04.COMM_CD_NM  AS ORD_STAT_CD_NM
			 ,ORD.ORD_TYPE_CD
			 ,CD08.COMM_CD_NM  AS  ORD_TYPE_CD_NM
             ,ORD.ORD_QTY    
             ,ORD.ITEM_SPRC  
             ,ORD.ITEM_DC_SPRC
             ,ORD.SALES_AMT   
      	     ,ORD.ORD_ID 
             ,TOOI.SSEVNT_ID  
      FROM lake_offline.GSVOCDW_TB_FT_CMM_ORD_ITEM  ord 
      LEFT OUTER JOIN LAKE_ONLINE.GSEBADM_TB_OD_ORD_ITEM  TOOI
                  ON  ORD.ORD_ID = TOOI.ORD_ID
                  AND ORD.ORD_DTL_SEQNO  = TOOI.ORD_DTL_SEQNO 
                  AND ORD.ORD_ITEM_SEQNO  = TOOI.ORD_ITEM_SEQNO 
      LEFT OUTER JOIN LAKE_ONLINE.GSEBADM_TB_SS_CD_DTL  CD08
	               ON  CD08.COMM_GRP_CD ='OD0008'   -- ֹ 
				  AND ord.ORD_TYPE_CD =  CD08.COMM_CD 
      LEFT OUTER JOIN LAKE_ONLINE.GSEBADM_TB_SS_CD_DTL   CD04
	               ON  CD04.COMM_GRP_CD ='OD0004'   -- ֹ 
				  AND ord.ORD_STAT_CD =  CD04.COMM_CD 
      LEFT OUTER JOIN LAKE_ONLINE.GSEBADM_TB_MD_ITEM  ITM 
                   ON ORD.ITEM_ID = ITM.ITEM_ID
      LEFT OUTER JOIN LAKE_ONLINE.GSEBADM_TB_MD_ITEM_CLASF_CTG ITM_CTG            
                   ON ITM.ITEM_CLASF_CTG_ID      = ITM_CTG.ITEM_CLASF_CTG_ID
                  AND ITM.ITEM_CLASF_CTG_LVL_VAL = ITM_CTG.ITEM_CLASF_CTG_LVL_VAL 
      LEFT OUTER JOIN LAKE_OFFLINE.GSUMDADM_TB_MA_ITEM  MA_ITM 
                   ON  ITM.ITEM_CD = MA_ITM.ITEM_CD 
      LEFT OUTER JOIN LAKE_ONLINE.GSEBADM_TB_SS_SUPPL SUP
	               ON ord.SUPPL_FIRM_CD  = SUP.SUPPL_FIRM_CD 
      LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  CDR20
                   ON ORD.cust_grd_cd = CDR20.COMM_CD
                  AND CDR20.SCHEMA_NM ='GSCRMODS'
                  AND CDR20.COMM_GRP_CD ='R20'	  
      LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_UNI_CD_VALID_VAL  T95
                   ON ORD.AGE_RANGE_CD = T95.UNI_CD_VALID_VAL
                  AND T95.UNI_CD_NM ='AGE_RANGE_CD'
      LEFT OUTER JOIN  LAKE_OFFLINE.GSUCDW_TB_DM_UNI_CD_VALID_VAL  T96
                   ON ORD.GEN_CD = T96.UNI_CD_VALID_VAL
                  AND T96.UNI_CD_NM ='GEN_CD' 	  
      LEFT OUTER JOIN LAKE_ONLINE.GSEBADM_TB_DP_MALL  MALL
                   ON MALL.MALL_ID = ORD.MALL_ID 				   					   
      WHERE  ORD.PART_ORD_DT ='${dt}' 
   )  KK
    LEFT OUTER JOIN LAKE_OFFLINE.GSCAODS_TB_UQID_SYS_CUST  CU1
                 ON KK.SERIAL1 = CU1.SERIAL1
                AND CU1.SORC_SYS_CD  ='CRM' 		
    LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_UQID_CUST_BASE  CU2
                 ON CU1.UQID_CUST_NO = CU2.UQID_CUST_NO
 ;
 
 SELECT   PART_DT , COUNT(1) FROM  TOTAL_MART.TB_AG_CUST_BHVR_PROTY_KMOH  WHERE PART_DT = '${dt}'  GROUP BY PART_DT ;
 
 "