#!/bin/bash

cd /etl/external/hiv

input=$1
dt=$(date +'%Y%m%d' -d '-1days')

  if [[  $input != ""  ]] 
 then 
   dt=$input
 fi 
 
 echo "-------------------"
 echo "part_dt = "$dt
 echo "-------------------"
 
 hive -e "  
INSERT OVERWRITE TABLE TOTAL_MART.TB_FT_OFL_TR_HDR PARTITION(PART_DT = '${dt}')
SELECT
'CVS'                           AS TR_ACHIV_SP_CD_NM             -- TR 실적 구분 코드명
,CONCAT(RPAD(TRIM(T10.ORIGIN_BIZPL_CD),6,'_') , '^', RPAD(T10.OPER_DT ,8,'_'),  '^', RPAD(T10.POS_NO ,1,'_') ,  '^', LPAD(CAST(T10.SALE_SEQ AS VARCHAR(5))  ,5,'0'))  AS TRHEAD_KEY
,TRIM(T10.ORIGIN_BIZPL_CD)        AS STR_DISTN_CD                  -- 점포 식별 코드
,T20.STR_NM                     AS STR_NM                        -- 점포명
,T10.OPER_DT                    AS SALE_DT                       -- 영업 일자
,T10.POS_NO                     AS POS_NO                        -- POS 번호
,T10.SALE_SEQ                   AS SELL_SEQNO                    -- 판매 일련번호
,T10.BIZPL_CD                   AS CRNT_STR_DISTN_CD             -- 현재 점포 식별 코드
,T20.CRNT_STR_NM                AS CRNT_STR_NM                   -- 현재 점포 명
,T10.SALE_START_DTTM            AS SELL_BEGIN_DTTM               -- 판매 시작 일시
,T10.SALE_END_DTTM              AS SELL_END_DTTM                 -- 판매 종료 일시
,NULL                           AS ORD_ID                        -- 주문 ID
,NULL                           AS ONL_SP_CD                     -- 온라인 구분코드 (ISUPER 구분코드 )
,NULL                           AS ONL_SP_CD_NM                  -- 온라인 구분코드명
,T10.RECEIPT_NO                 AS RECPT_NO                      -- 영수증 번호
,T10.DEAL_SP                    AS DEAL_SP_CD                    -- 거래 구분 코드
,T91.COMM_CD_NM                 AS DEAL_SP_CD_NM                 -- 거래 구분 코드명
,TRIM(T10.ORG_OPER_DT)          AS ORG_SALE_DT                   -- 원 영업 일자
,TRIM(T10.ORG_POS_NO)           AS ORG_POS_NO                    -- 원 POS 번호
,TRIM(T10.ORG_RECEIPT_NO)       AS ORG_RECPT_NO                  -- 원 영수증 번호
,NULL                           AS POS_SP_CD                     -- POS 구분 코드
,NULL                           AS POS_SP_CD_NM                  -- POS 구분 코드명
,T10.TOT_AMT                    AS SUM_AMT                       -- 합계 금액
,T10.TOT_QTY                    AS SUM_QTY                       -- 합계 수량
,T10.SALE_DT_DOW_CD             AS SALE_DT_DOW_CD                -- 영업 일자 요일 코드
,T92.COMM_CD_NM                 AS SALE_DT_DOW_CD_NM             -- 영업 일자 요일 코드명
,T10.SELL_END_DOW_CD            AS SELL_END_DOW_CD               -- 판매 종료 요일 코드
,T93.COMM_CD_NM                 AS SELL_END_DOW_CD_NM            -- 판매 종료 요일 코드명
,T10.SELL_END_TMZN_CD           AS SELL_END_TMZN_CD              -- 판매 종료 시간대 코드
,T94.COMM_CD_NM                 AS SELL_END_TMZN_CD_NM           -- 판매 종료 시간대 코드명
,T10.UQID_LBIT                  AS UQID_LBIT                     -- 단일식별 여부BIT
,T10.CUST_DISTN_TYPE_CD         AS CUST_DISTN_TYPE_CD            -- 고객 식별 유형 코드 (1:단일식별고객번호,2:가등록단일식별고객, 3:비회원식별번호,4:기타구매고객 )
,T10.CUST_DISTN_NO              AS CUST_DISTN_NO                 -- 고객 식별 번호
,TRIM(T10.SORC_SYS_CD)          AS SORC_SYS_CD                   -- 소스 시스템 코드
,TRIM(T10.SERIAL1)              AS SERIAL1                       -- 고객 번호
,T10.UQID_STAND_DSTC            AS UQID_STAND_DSTC               -- 단일식별 기준 거리
,T10.CUST_STAND_DSTC            AS CUST_STAND_DSTC               -- 고객 기준 거리
,T20.ADMD_CD                    AS STR_ADMD_CD                   -- 점포 행정동 코드
,T81.ZIP_CODE                   AS STR_ZIP_CODE                  -- 점포 우편번호
,T30.HOME_ADMD_CD               AS HOME_ADMD_CD                  -- 자택 행정동 코드
,T30.AGE_RANGE_CD               AS AGE_RANGE_CD                  -- 연령범위코드
,T95.COMM_CD_NM                 AS AGE_RANGE_CD_NM               -- 연령범위코드
,T30.GEN_CD                     AS GEN_CD                        -- 성별코드
,T96.COMM_CD_NM                 AS GEN_CD_NM                     -- 연령범위코드
,T50.CRM_CUST_GRD_CD            AS CRM_CUST_GRD_CD               -- CRM 고객등급(전사)
,T97.COMM_CD_NM                 AS CRM_CUST_GRD_CD_NM            -- CRM 고객등급(전사)명
,NVL(T60.CRM_CUST_GRD_CD ,T50.CRM_CUST_GRD_CD)        AS BD_CUST_GRD_CD         -- 사업부고객등급
,NVL(T98.COMM_CD_NM ,T97.COMM_CD_NM  )                AS BD_CUST_GRD_CD_NM      -- 사업부고객등급명
,CASE WHEN T40.ORIGIN_BIZPL_CD  IS NOT NULL  THEN  1 ELSE  0 END  AS QRCD_DEAL_LBIT  --  32.QRCD거래  여부BIT
,CONCAT(NVL(MBS_AFLCO_DC_YN    ,'N') , NVL(CPN_DC_YN          ,'N') , NVL(PMBS_CPN_DC_YN     ,'N')  , NVL(GS_PNT_USE_YN      ,'N')  , NVL(RWDS_USE_YN        ,'N')  , NVL(MOBIL_VOUCH_TDR_YN ,'N')  , NVL(SMLPAY_TDR_YN      ,'N')  , NVL(MOBIL_POP_TDR_YN   ,'N'))      AS     QRCD_DEAL_VAL       --  33.QRCD거래 값
,T10.ETL_MOD_DTTM                       AS DW_MOD_DTTM         -- DW 수정일시 
,CURRENT_TIMESTAMP()                    AS HIVE_MOD_DTTM     -- HIVE 수정 일시
FROM LAKE_OFFLINE.GSUCDW_TB_FT_CVS_TR_HDR   T10
LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_BD_STR_BASE T20
             ON T10.ORIGIN_BIZPL_CD = T20.STR_DISTN_CD
            AND T20.BIZU_CD = '1'
LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_UQID_CUST_BASE T30
             ON T10.CUST_DISTN_NO = T30.UQID_CUST_NO
            AND LENGTH(TRIM(T10.SERIAL1) ) > 0
LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_FT_CVS_TR_QRCD_DEAL T40
             ON TRIM(T10.ORIGIN_BIZPL_CD)  = T40.ORIGIN_BIZPL_CD
            AND T10.part_OPER_DT     = T40.OPER_DT
            AND T10.POS_NO           = T40.POS_NO
            AND T10.SALE_SEQ         = T40.SELL_SEQNO
LEFT OUTER JOIN (SELECT part_stand_yymm , SERIAL1 , bd_sp_cd , crm_cust_grd_cd     FROM LAKE_OFFLINE.GSCRMODS_TB_CG_CUST_GRD  WHERE part_STAND_YYMM = SUBSTR('${dt}' ,1,6)   )  T50  -- 고객등급테이블   (  or  GSECODS.TB_CU_MBR_GRD)
             ON T10.SERIAL1          = T50.SERIAL1
            AND SUBSTR(T10.part_OPER_DT,1,6)     = T50.part_STAND_YYMM
            AND T50.BD_SP_CD = 'Z'
LEFT OUTER JOIN  (SELECT part_stand_yymm , SERIAL1 , bd_sp_cd , crm_cust_grd_cd    FROM  LAKE_OFFLINE.GSCRMODS_TB_CG_CUST_GRD  WHERE part_STAND_YYMM  =  SUBSTR('${dt}' ,1,6)  )   T60  -- 고객등급테이블   (  or  GSECODS.TB_CU_MBR_GRD)
             ON T10.SERIAL1          = T60.SERIAL1
            AND SUBSTR(T10.part_OPER_DT,1,6)     = T60.part_STAND_YYMM
            AND T60.BD_SP_CD = 'C'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T91
             ON T10.DEAL_SP = T91.COMM_CD
            AND T91.SCHEMA_NM ='GSSCODS'
            AND T91.COMM_GRP_CD ='TR09'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T92
             ON T10.SALE_DT_DOW_CD = T92.COMM_CD
            AND T92.SCHEMA_NM ='GSUCDW'
            AND T92.COMM_GRP_CD ='PURCH_DOW_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T93
             ON T10.SELL_END_DOW_CD = T93.COMM_CD
            AND T93.SCHEMA_NM ='GSUCDW'
            AND T93.COMM_GRP_CD ='PURCH_DOW_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T94
             ON T10.SELL_END_TMZN_CD = T94.COMM_CD
            AND T94.SCHEMA_NM ='GSUCDW'
            AND T94.COMM_GRP_CD ='TMZN_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T95
             ON T30.AGE_RANGE_CD = T95.COMM_CD
            AND T95.SCHEMA_NM ='GSUCDW'
            AND T95.COMM_GRP_CD ='AGE_RANGE_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T96
             ON T30.GEN_CD = T96.COMM_CD
            AND T96.SCHEMA_NM ='GSUCDW'
            AND T96.COMM_GRP_CD ='GEN_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T97
             ON T50.CRM_CUST_GRD_CD = T97.COMM_CD
            AND T97.SCHEMA_NM ='GSCRMODS'
            AND T97.COMM_GRP_CD ='R20'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T98
             ON T60.CRM_CUST_GRD_CD = T98.COMM_CD
            AND T98.SCHEMA_NM ='GSCRMODS'
            AND T98.COMM_GRP_CD ='R20'
LEFT OUTER JOIN LAKE_OFFLINE.GSGISODS_TB_GZ_STORE         T81/* GSI_점포마스터 */
        ON T10.BIZPL_CD         = T81.STORE_ID
      AND T81.DIV_CODE         = 'C'       /* 사업부구분 C.편의점 */
WHERE 1=1
  AND T10.part_OPER_DT = '${dt}'

UNION ALL

SELECT
 'SM'                                    AS TR_ACHIV_SP_CD_NM              --  TR 실적 구분 코드
,CONCAT(RPAD(TRIM(T10.STR_CD),6,'_') , '^', RPAD(T10.SALES_DT ,8,'_'),  '^', RPAD(T10.POS_NO ,1,'_') ,  '^', LPAD(CAST(T10.SELL_SEQNO AS VARCHAR(5))  ,5,'0'))  AS TRHEAD_KEY
,T10.STR_CD                     AS STR_DISTN_CD                  -- 점포 식별 코드
,T20.STR_NM                     AS STR_NM                        -- 점포명
,T10.SALES_DT                   AS SALE_DT                       -- 영업 일자
,T10.POS_NO                     AS POS_NO                        -- POS 번호
,T10.SELL_SEQNO                 AS SELL_SEQNO                    -- 판매 일련번호
,T10.STR_CD                     AS CRNT_STR_DISTN_CD             -- 현재 점포 식별 코드
,T20.CRNT_STR_NM                AS CRNT_STR_NM                   -- 현재 점포 명
,T10.DEAL_BEGIN_DTTM            AS SELL_BEGIN_DTTM               -- 판매 시작 일시
,T10.DEAL_END_DTTM              AS SELL_END_DTTM                 -- 판매 종료 일시
,T10.ORD_NO                     AS ORD_ID                        -- 주문 ID
,T10.ISUPER_SP_CD               AS ONL_SP_CD                     -- ISUPER 구분코드
,T90.COMM_CD_NM                 AS ONL_SP_CD_NM                  -- ISUPER 구분명
,cast(T10.SELL_SEQNO as string) AS RECPT_NO                      -- 영수증 번호
,T10.DEAL_SP_CD                 AS DEAL_SP_CD                    -- 거래 구분 코드
,T91.COMM_CD_NM                 AS DEAL_SP_CD_NM                 -- 거래 구분 코드명
,T10.ORG_SALES_DT               AS ORG_SALE_DT                   -- 원 영업 일자
,T10.ORG_POS_NO                 AS ORG_POS_NO                    -- 원 POS 번호
,cast(T10.ORG_SELL_SEQNO as string) AS ORG_RECPT_NO                      -- 영수증 번호
,T10.POS_SP_CD                  AS POS_SP_CD                     -- POS 구분 코드
,T99.COMM_CD_NM                 AS POS_SP_CD_NM                  -- POS 구분 코드명
,T10.SUM_AMT                    AS SUM_AMT                       -- 합계 금액
,T10.SUM_QTY                    AS SUM_QTY                       -- 합계 수량
,T10.SALE_DT_DOW_CD             AS SALE_DT_DOW_CD                -- 영업 일자 요일 코드
,T92.COMM_CD_NM                 AS SALE_DT_DOW_CD_NM             -- 영업 일자 요일 코드명
,T10.SELL_END_DOW_CD            AS SELL_END_DOW_CD               -- 판매 종료 요일 코드
,T93.COMM_CD_NM                 AS SELL_END_DOW_CD_NM            -- 판매 종료 요일 코드명
,T10.SELL_END_TMZN_CD           AS SELL_END_TMZN_CD              -- 판매 종료 시간대 코드
,T94.COMM_CD_NM                 AS SELL_END_TMZN_CD_NM           -- 판매 종료 시간대 코드명
,T10.UQID_LBIT                  AS UQID_LBIT                     -- 단일식별 여부BIT
,T10.CUST_DISTN_TYPE_CD         AS CUST_DISTN_TYPE_CD            -- 고객 식별 유형 코드 (1:단일식별고객번호,2:가등록단일식별고객, 3:비회원식별번호,4:기타구매고객 )
,T10.CUST_DISTN_NO              AS CUST_DISTN_NO                 -- 고객 식별 번호
,T10.SORC_SYS_CD                AS SORC_SYS_CD                   -- 소스 시스템 코드
,T10.SERIAL1                    AS SERIAL1                       -- 고객 번호
,T10.UQID_STAND_DSTC            AS UQID_STAND_DSTC               -- 단일식별 기준 거리
,T10.CUST_STAND_DSTC            AS CUST_STAND_DSTC               -- 고객 기준 거리
,T20.ADMD_CD                    AS STR_ADMD_CD                   -- 점포 행정동 코드
,T81.ZIP_CODE                   AS STR_ZIP_CODE                  -- 점포 우편번호
,T30.HOME_ADMD_CD               AS HOME_ADMD_CD                  -- 자택 행정동 코드
,T30.AGE_RANGE_CD               AS AGE_RANGE_CD                  -- 연령범위코드
,T95.COMM_CD_NM                 AS AGE_RANGE_CD_NM               -- 연령범위코드
,T30.GEN_CD                     AS GEN_CD                        -- 성별코드
,T96.COMM_CD_NM                 AS GEN_CD_NM                     -- 연령범위코드
,T50.CRM_CUST_GRD_CD            AS CRM_CUST_GRD_CD               -- CRM 고객등급(전사)
,T97.COMM_CD_NM                 AS CRM_CUST_GRD_CD_NM            -- CRM 고객등급(전사)명
,T50.CRM_CUST_GRD_CD            AS BD_CUST_GRD_CD                -- 사업부고객등급
,T97.COMM_CD_NM                 AS BD_CUST_GRD_CD_NM             -- 사업부고객등급명
,CASE WHEN T40.STR_CD IS NOT NULL  THEN  1 ELSE  0 END  AS QRCD_DEAL_LBIT  --  QRCD거래 여부BIT
,CONCAT(NVL(COMCO_DC_YN      ,'N')
  , NVL(CPN_DC_YN        ,'N')
  , 'N'
  , NVL(GS_PNT_USE_YN    ,'N')
  , NVL(RWDS_USE_YN      ,'N')
  , 'N'
  , NVL(SMLPAY_TDR_YN    ,'N')
  , NVL(MOBIL_POP_TDR_YN ,'N'))        AS     QRCD_DEAL_VAL       --  33.QRCD거래 값
,T10.ETL_MOD_DTTM                       AS DW_MOD_DTTM       -- DW 수정일시 
,CURRENT_TIMESTAMP()                    AS HIVE_MOD_DTTM     -- HIVE 수정 일시 
FROM LAKE_OFFLINE.GSUCDW_TB_FT_SM_TR_HDR  T10
LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_BD_STR_BASE T20
             ON T10.STR_CD = T20.STR_DISTN_CD
            AND T20.BIZU_CD = '2'
LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_UQID_CUST_BASE T30
             ON T10.CUST_DISTN_NO = T30.UQID_CUST_NO
            AND LENGTH(TRIM(T10.SERIAL1) ) > 0
LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_FT_SM_TR_QRCD_DEAL T40
             ON T10.STR_CD        = T40.STR_CD
            AND T10.part_SALES_DT = T40.SALES_DT
            AND T10.POS_NO        = T40.POS_NO
            AND T10.SELL_SEQNO    = T40.SELL_SEQNO
LEFT OUTER JOIN (SELECT  part_stand_yymm , SERIAL1 , bd_sp_cd , crm_cust_grd_cd  FROM LAKE_OFFLINE.GSCRMODS_TB_CG_CUST_GRD  WHERE part_STAND_YYMM = SUBSTR('${dt}' ,1,6)   )  T50  -- 고객등급테이블   (  or  GSECODS.TB_CU_MBR_GRD)
             ON T10.SERIAL1          = T50.SERIAL1
            AND SUBSTR(T10.part_SALES_DT,1,6)     = T50.part_STAND_YYMM
            AND T50.BD_SP_CD = 'Z'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T90
             ON T10.ISUPER_SP_CD = T90.COMM_CD  -- ISUPUER 구분 코드
            AND T90.SCHEMA_NM ='GSSMODS'
            AND T90.COMM_GRP_CD ='POS064'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T91
             ON T10.DEAL_SP_CD = T91.COMM_CD  -- 거래 구분 코드
            AND T91.SCHEMA_NM ='GSSMODS'
            AND T91.COMM_GRP_CD ='POS023'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T99                  -- POS구분코드
             ON T10.POS_SP_CD  = T99.COMM_CD
            AND T99.SCHEMA_NM ='GSSMODS'
            AND T99.COMM_GRP_CD ='POS042'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T92
             ON T10.SALE_DT_DOW_CD = T92.COMM_CD
            AND T92.SCHEMA_NM ='GSUCDW'
            AND T92.COMM_GRP_CD ='PURCH_DOW_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T93
             ON T10.SELL_END_DOW_CD = T93.COMM_CD
            AND T93.SCHEMA_NM ='GSUCDW'
            AND T93.COMM_GRP_CD ='PURCH_DOW_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T94
             ON T10.SELL_END_TMZN_CD = T94.COMM_CD
            AND T94.SCHEMA_NM ='GSUCDW'
            AND T94.COMM_GRP_CD ='TMZN_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T95
             ON T30.AGE_RANGE_CD = T95.COMM_CD
            AND T95.SCHEMA_NM ='GSUCDW'
            AND T95.COMM_GRP_CD ='AGE_RANGE_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T96
             ON T30.GEN_CD = T96.COMM_CD
            AND T96.SCHEMA_NM ='GSUCDW'
            AND T96.COMM_GRP_CD ='GEN_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T97
             ON T50.CRM_CUST_GRD_CD = T97.COMM_CD
            AND T97.SCHEMA_NM ='GSCRMODS'
            AND T97.COMM_GRP_CD ='R20'
LEFT OUTER JOIN LAKE_OFFLINE.GSGISODS_TB_GZ_STORE         T81/* GSI_점포마스터 */
        ON T10.STR_CD         = T81.STORE_ID
       AND T81.DIV_CODE         = 'S'       /* 사업부구분 C.편의점 */
WHERE 1=1
  AND T10.part_SALES_DT = '${dt}'

UNION ALL

SELECT
'HNB'                           AS TR_ACHIV_SP_CD_NM             -- TR 실적 구분 코드명
 ,CONCAT(RPAD(TRIM(T10.BIZPL_CD),6,'_') , '^', RPAD(T10.OPER_DT ,8,'_'),  '^', RPAD(T10.POS_NO ,1,'_') ,  '^', LPAD(CAST(T10.SALE_SEQ AS VARCHAR(5))  ,5,'0'))  AS TR_HDR_KEY
,TRIM(T10.BIZPL_CD)        AS STR_DISTN_CD                  -- 점포 식별 코드
,T20.STR_NM                     AS STR_NM                        -- 점포명
,T10.OPER_DT                    AS SALE_DT                       -- 영업 일자
,T10.POS_NO                     AS POS_NO                        -- POS 번호
,T10.SALE_SEQ                   AS SELL_SEQNO                    -- 판매 일련번호
,T10.BIZPL_CD                   AS CRNT_STR_DISTN_CD             -- 현재 점포 식별 코드
,T20.CRNT_STR_NM                AS CRNT_STR_NM                   -- 현재 점포 명
,T10.SALE_START_DTTM            AS SELL_BEGIN_DTTM               -- 판매 시작 일시
,T10.SALE_END_DTTM              AS SELL_END_DTTM                 -- 판매 종료 일시
,NULL                           AS ORD_ID                        -- 주문 ID
,NULL                           AS ONL_SP_CD                     -- 온라인 구분코드 (ISUPER 구분코드 )
,NULL                           AS ONL_SP_CD_NM                  -- 온라인 구분코드명
,T10.RECEIPT_NO                 AS RECPT_NO                      -- 영수증 번호
,T10.DEAL_SP                    AS DEAL_SP_CD                    -- 거래 구분 코드
,T91.COMM_CD_NM                 AS DEAL_SP_CD_NM                 -- 거래 구분 코드명
,TRIM(T10.ORG_OPER_DT)                AS ORG_SALE_DT                   -- 원 영업 일자
,TRIM(T10.ORG_POS_NO)                 AS ORG_POS_NO                    -- 원 POS 번호
,TRIM(T10.ORG_RECEIPT_NO)             AS ORG_RECPT_NO                  -- 원 영수증 번호
,NULL                           AS POS_SP_CD                     -- POS 구분 코드
,NULL                           AS POS_SP_CD_NM                  -- POS 구분 코드명
,T10.TOT_AMT                    AS SUM_AMT                       -- 합계 금액
,T10.TOT_QTY                    AS SUM_QTY                       -- 합계 수량
,T10.SALE_DT_DOW_CD             AS SALE_DT_DOW_CD                -- 영업 일자 요일 코드
,T92.COMM_CD_NM                 AS SALE_DT_DOW_CD_NM             -- 영업 일자 요일 코드명
,T10.SELL_END_DOW_CD            AS SELL_END_DOW_CD               -- 판매 종료 요일 코드
,T93.COMM_CD_NM                 AS SELL_END_DOW_CD_NM            -- 판매 종료 요일 코드명
,T10.SELL_END_TMZN_CD           AS SELL_END_TMZN_CD              -- 판매 종료 시간대 코드
,T94.COMM_CD_NM                 AS SELL_END_TMZN_CD_NM           -- 판매 종료 시간대 코드명
,T10.UQID_LBIT                  AS UQID_LBIT                     -- 단일식별 여부BIT
,T10.CUST_DISTN_TYPE_CD         AS CUST_DISTN_TYPE_CD            -- 고객 식별 유형 코드 (1:단일식별고객번호,2:가등록단일식별고객, 3:비회원식별번호,4:기타구매고객 )
,T10.CUST_DISTN_NO              AS CUST_DISTN_NO                 -- 고객 식별 번호
,TRIM(T10.SORC_SYS_CD)                AS SORC_SYS_CD             -- 소스 시스템 코드
--,TRIM(T10.CUST_NO)                    AS SERIAL1                 -- 고객 번호
,TRIM(T10.SERIAL1)                    AS SERIAL1                 -- 고객 번호
,T10.UQID_STAND_DSTC            AS UQID_STAND_DSTC               -- 단일식별 기준 거리
,T10.CUST_STAND_DSTC            AS CUST_STAND_DSTC               -- 고객 기준 거리
,T20.ADMD_CD                    AS STR_ADMD_CD                   -- 점포 행정동 코드
,T81.ZIP_CODE                   AS STR_ZIP_CODE                  -- 점포 우편번호
,T30.HOME_ADMD_CD               AS HOME_ADMD_CD                  -- 자택 행정동 코드
,T30.AGE_RANGE_CD               AS AGE_RANGE_CD                  -- 연령범위코드
,T95.COMM_CD_NM                 AS AGE_RANGE_CD_NM               -- 연령범위코드
,T30.GEN_CD                     AS GEN_CD                        -- 성별코드
,T96.COMM_CD_NM                 AS GEN_CD_NM                     -- 연령범위코드
,T50.CRM_CUST_GRD_CD            AS CRM_CUST_GRD_CD               -- CRM 고객등급(전사)
,T97.COMM_CD_NM                 AS CRM_CUST_GRD_CD_NM            -- CRM 고객등급(전사)명
,NVL(T60.CRM_CUST_GRD_CD ,T50.CRM_CUST_GRD_CD)        AS BD_CUST_GRD_CD         -- 사업부고객등급
,NVL(T98.COMM_CD_NM ,T97.COMM_CD_NM  )                AS BD_CUST_GRD_CD_NM      -- 사업부고객등급명
,CASE WHEN T40.BIZPL_CD  IS NOT NULL  THEN  1 ELSE  0 END  AS QRCD_DEAL_LBIT  --  32.QRCD거래  여부BIT
,CONCAT (NVL(MBS_AFLCO_DC_YN    ,'N')
  , NVL(CPN_DC_YN          ,'N')
  , NVL(PMBS_CPN_DC_YN     ,'N')
  , NVL(GS_PNT_USE_YN      ,'N')
  , NVL(RWDS_USE_YN        ,'N')
  , NVL(MOBIL_VOUCH_TDR_YN ,'N')
  , NVL(SMLPAY_TDR_YN      ,'N')
  , NVL(MOBIL_POP_TDR_YN   ,'N') )     AS     QRCD_DEAL_VAL       --  33.QRCD거래 값
,T10.ETL_MOD_DTTM                       AS DW_MOD_DTTM       -- DW 수정일시 
,CURRENT_TIMESTAMP()                    AS HIVE_MOD_DTTM     -- HIVE 수정 일시 
FROM LAKE_OFFLINE.GSUCDW_TB_FT_HNB_TR_HDR   T10
LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_BD_STR_BASE T20
             ON T10.BIZPL_CD = T20.STR_DISTN_CD
            AND T20.BIZU_CD = '3'
LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_UQID_CUST_BASE T30
             ON T10.CUST_DISTN_NO = T30.UQID_CUST_NO
             AND LENGTH(TRIM(T10.SERIAL1) ) > 0
            --AND LENGTH(TRIM(T10.CUST_NO) ) > 0
LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_FT_HNB_TR_QRCD_DEAL T40
             ON TRIM(T10.BIZPL_CD)  = T40.BIZPL_CD
            AND T10.part_OPER_DT     = T40.OPER_DT
            AND T10.POS_NO           = T40.POS_NO
            AND T10.SALE_SEQ         = T40.SELL_SEQNO
LEFT OUTER JOIN (SELECT part_stand_yymm , SERIAL1 , bd_sp_cd , crm_cust_grd_cd     FROM LAKE_OFFLINE.GSCRMODS_TB_CG_CUST_GRD  WHERE part_STAND_YYMM = SUBSTR('${dt}' ,1,6)   )  T50  -- 고객등급테이블   (  or  GSECODS.TB_CU_MBR_GRD)
             ON T10.SERIAL1          = T50.SERIAL1
            -- ON T10.CUST_NO          = T50.SERIAL1
            AND SUBSTR(T10.part_OPER_DT,1,6)     = T50.part_STAND_YYMM
            AND T50.BD_SP_CD = 'Z'
LEFT OUTER JOIN  (SELECT part_stand_yymm , SERIAL1 , bd_sp_cd , crm_cust_grd_cd    FROM  LAKE_OFFLINE.GSCRMODS_TB_CG_CUST_GRD  WHERE part_STAND_YYMM  =  SUBSTR('${dt}' ,1,6)  )   T60  -- 고객등급테이블   (  or  GSECODS.TB_CU_MBR_GRD)
             ON T10.SERIAL1          = T60.SERIAL1
             --ON T10.CUST_NO          = T60.SERIAL1
            AND SUBSTR(T10.part_OPER_DT,1,6)     = T60.part_STAND_YYMM
            AND T60.BD_SP_CD = 'W'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T91
             ON T10.DEAL_SP = T91.COMM_CD
            AND T91.SCHEMA_NM ='GSHNBDW'
            AND T91.COMM_GRP_CD ='TR09'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T92
             ON T10.SALE_DT_DOW_CD = T92.COMM_CD
            AND T92.SCHEMA_NM ='GSUCDW'
            AND T92.COMM_GRP_CD ='PURCH_DOW_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T93
             ON T10.SELL_END_DOW_CD = T93.COMM_CD
            AND T93.SCHEMA_NM ='GSUCDW'
            AND T93.COMM_GRP_CD ='PURCH_DOW_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T94
             ON T10.SELL_END_TMZN_CD = T94.COMM_CD
            AND T94.SCHEMA_NM ='GSUCDW'
            AND T94.COMM_GRP_CD ='TMZN_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T95
             ON T30.AGE_RANGE_CD = T95.COMM_CD
            AND T95.SCHEMA_NM ='GSUCDW'
            AND T95.COMM_GRP_CD ='AGE_RANGE_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T96
             ON T30.GEN_CD = T96.COMM_CD
            AND T96.SCHEMA_NM ='GSUCDW'
            AND T96.COMM_GRP_CD ='GEN_CD'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T97
             ON T50.CRM_CUST_GRD_CD = T97.COMM_CD
            AND T97.SCHEMA_NM ='GSCRMODS'
            AND T97.COMM_GRP_CD ='R20'
LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T98
             ON T60.CRM_CUST_GRD_CD = T98.COMM_CD
            AND T98.SCHEMA_NM ='GSCRMODS'
            AND T98.COMM_GRP_CD ='R20'
LEFT OUTER JOIN LAKE_OFFLINE.GSGISODS_TB_GZ_STORE         T81/* GSI_점포마스터 */
        ON T10.BIZPL_CD         = T81.STORE_ID
       AND T81.DIV_CODE         = 'W'       /* 사업부구분 C.편의점 */
WHERE 1=1
  AND T10.part_OPER_DT = '${dt}'
;  
"
exit 
